<cfimport prefix="mangoAdmin" taglib="tags">
<cfparam name="message" default="">
<cfparam name="error" default="">

<!--- you can replace this weird way of getting the correct path by your know components path --->
<cfset componentsPath = replace(replacenocase(replacenocase(cgi.script_name,ListLast(cgi.script_name,"/"),''),'admin/',''),"/",".",'all') 
							& "components." />
<cfset componentsPath = right(variables.componentsPath,len(variables.componentsPath)-1) />

<cfset updater = createObject("component", "#componentsPath#Updater").init(request.blogManager, 
		expandPath("../config.cfm"), expandPath("../"))>
		
<cfif NOT structkeyexists(url, "update")>
	<!--- check current version --->
	<cfset message = updater.checkForUpdates() />
</cfif>

<cfif structkeyexists(url, "first")>
	<cfset message ='Welcome to your blog! <br/>You can now edit the <a href="categories.cfm">categories</a>, or <a href="post.cfm">write a new post</a>
	<br />Also, don''t forget to edit your blog''s <a href="settings.cfm">settings</a>.</p>'/>
</cfif>

<cfif len(message)>
	<cfset message = '<p class="message">#message#</p>' />
<cfelseif len(error)>
	<cfset message = '<p class="error">#error#</p>' />
</cfif>

<cf_layout page="Overview" title="Overview">
	<div id="wrapper">
		<div id="content">
		<h2 class="pageTitle">Overview</h2>
			<div id="innercontent">
			<cfoutput>#message#</cfoutput>
			<cfif structkeyexists(url, "update")>
				<cfflush interval="5">
				<cfoutput>
					<div class="message">
						<cfset updateResult = updater.executeUpdate() />
						<p>#updateResult.message.getText()#</p>
					</div>
					<cfif updateResult.message.getStatus() EQ "error">
						<p class="error">#updateResult.message.getText()#</p>
					</cfif>
				</cfoutput>
			</cfif>
			
			<mangoAdmin:PodEvent name="dashboardPod" />
			</div>
		</div>
	</div>
</cf_layout>